Apache Tapestry for Java 11

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Apache Tapestry for Java 11

gard sæbø
Hi!

We are upgrading all our Java applications, which currently runs on Java 8, to Java 11.

Our web applications use Apache Tapestry as the frontend framework, but it seems a bit quite on the Tapestry commit log in comparison with other frontend frameworks.

Will there be any upgrade which will support Java 11 and future Java versions?

Best regards,
Gard Sæbø
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Apache Tapestry for Java 11

bobharner
Yes. The unreleased 5.5 version passses all tests with the Java 9+
compatible version of ASM (which was the obstacle for running Tapestry 5.4
under Java 9+) and should be usable for Java 9 and 10 now (once released),
although it hasn't been tested enough by others. I haven't checked it with
Java 11 yet. The Tapestry nightly snapshot process is broken currently, and
that's the principal obstacle to the 5.5 release.

https://issues.apache.org/jira/plugins/servlet/mobile#issue/TAP5-2588

My weekends have been occupied by other projects the last few weeks but I
hope to get back on it next weekend.

On Mon, Oct 8, 2018, 9:49 AM gard sæbø <[hidden email]>
wrote:

> Hi!
>
> We are upgrading all our Java applications, which currently runs on Java
> 8, to Java 11.
>
> Our web applications use Apache Tapestry as the frontend framework, but it
> seems a bit quite on the Tapestry commit log in comparison with other
> frontend frameworks.
>
> Will there be any upgrade which will support Java 11 and future Java
> versions?
>
> Best regards,
> Gard Sæbø
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>